DavenDaven Documentation
APIAPI ReferenceATSJob Offer Attributes

Update partially job offer attribute

PATCH
/ats/job-offers/{id}/attributes/{name}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*number|null
name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Job offer attribute partial DTO - The data transfer object for job offer attributes with optional fields

value*|

Value of the attribute

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/ats/job-offers/0/attributes/string" \  -H "Content-Type: application/json" \  -d '{    "value": "Paris"  }'
{
  "message": "string",
  "data": [
    {
      "value": "Paris"
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}